# 类: SourceMessage

[(返回目录)](/api.md)

**继承自:** [Message](/api/message.md)

RainyBot的消息链源消息类，其实例记录了某个接收到的消息链的消息ID，发送时间等数据

## 方法

* static [SourceMessage](/api/sourcemessage.md) **init\_meta (** [Dictionary](https://docs.godotengine.org/en/latest/classes/class_dictionary.html) dic **)**

通过机器人协议后端的元数据字典构造一个此类的实例，仅当你知道自己在做什么时才使用

***

* [int](https://docs.godotengine.org/en/latest/classes/class_int.html) **get\_message\_id ( )**

获取此实例对应的消息链的ID

***

* [int](https://docs.godotengine.org/en/latest/classes/class_int.html) **get\_timestamp ( )**

获取此实例对应的消息链的发送时间戳

***

* [String](https://docs.godotengine.org/en/latest/classes/class_string.html) **get\_as\_text ( )**

将此实例获取为字符串的形式

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/sourcemessage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
